package cn.estsh.i3plus.core.apiservice.dao;

import java.util.Map;

/**
 * @Description : 操作日志
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2018-12-11 13:22
 * @Modify:
 **/
public interface ISysLogSystemDao {

    /**
     * 查询时间段内平均请求耗时
     *
     * @param startTime 开始时间
     * @param endTime   结束时间
     * @return 查询结果
     */
    Map<String, Object> querySysLogSystemAvgExecuteTime(String startTime, String endTime);

    /**
     * 查询时间段内各等级日志数量
     *
     * @param startTime 开始时间
     * @param endTime   结束时间
     * @return 查询结果
     */
    Map<String, Object> querySysLogSystemByLevel(String startTime, String endTime);
}
